=== debian/changelog ===
uriparser (0.7.5-1ubuntu2) trusty; urgency=medium

  * Build with dh-autoreconf instead of autotools-dev for new libtool.
    - debian/patches/no-configure-lzma.diff: Drop dist-lzma from configure.ac,
      as support has been removed from recent autoconfs.

 -- William Grant <wgrant@ubuntu.com>  Mon, 30 Dec 2013 17:23:11 +1100

uriparser (0.7.5-1ubuntu1) trusty; urgency=low

  * Build --with autotools_dev to update config.{sub,guess} for new ports.

 -- William Grant <wgrant@ubuntu.com>  Mon, 28 Oct 2013 11:45:26 +1100

uriparser (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #544633)
  * Use more minimalistic approach to rules using debhelper 7.
  * Add --disable-test to configure because cpptest-1.1.0 isn't packaged yet.
  * Add --disable-doc to configure to prevent generation of api docs.
  * Switch to dpkg-source 3.0 (quilt) format
  * Update *.install files to more inclusive of files to install.
  * Re-enable watch file, as it seems to work just fine with uscan.

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Sat, 15 May 2010 13:47:20 -0500

uriparser (0.7.4-2) unstable; urgency=low

  * Bump to Standards-Version 3.8.2.
  * Set maintainer to Debian QA Group.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Aug 2009 01:12:33 -0400

uriparser (0.7.4-1) unstable; urgency=low

  * New upstream release.  closes: #493073.
  * Add myself to Uploaders.
  * Bump to Standards-Version 3.8.0.
  * debian/prune-tarball.sh: also remove RFC1866.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Feb 2009 10:36:07 -0500

uriparser (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Versions to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 09 Mar 2008 11:54:35 +0100

uriparser (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 11 Feb 2008 19:48:38 +0100

uriparser (0.6.1-1) unstable; urgency=low

  * New upstream version. 

  * Add a watch file.

  * Convert debian/liburiparser1.symbols to be a dpkg-gensymbols file.
    SymbolFile.pm blacklists arch-specific symbols, so this closes: #448959.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 26 Dec 2007 18:42:29 +0100

uriparser (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #443222)

  * Include in the .diff.gz hunks to allow building in a separate tree.
    This will be fixed in the next upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 19 Sep 2007 21:07:20 +0200
