=== debian/control ===
Source: uriparser
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
Standards-Version: 3.8.4
Homepage: http://uriparser.sourceforge.net

Package: liburiparser1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: URI parsing library compliant with RFC 3986
 uriparser is a library that parses Uniform Resource Identifiers (URIs),
 strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
 are used to identify and locate resources, like http://www.debian.org or
 ISBN:0-395-36341-1.
 .
 uriparser has the following features:
 .
  * strictly compliant to RFC 3986, implementing:
    + parsing
    + reference resolution
    + reference creation
    + recomposition
    + syntax-based normalization
  * fast (linear input length time complexity)
  * unicode support

Package: liburiparser-dev
Architecture: any
Section: libdevel
Depends: liburiparser1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development files for uriparser
 This package provides the development files for uriparser, a library to parse
 Uniform Resource Identifiers (URIs). Install it if you want to compile a
 program that makes use of this library.
