=== debian/rules ===
#!/usr/bin/make -f

# Configure arguments

confflags = --prefix=/usr --disable-test --disable-doc

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --host $(DEB_HOST_GNU_TYPE)
endif
    
###

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure $(confflags)
