=== debian/watch ===
version=3
http://sf.net/uriparser/uriparser-(.*)\.tar.gz
