## uriparser 0.8.0.1

=== debian/changelog ===
uriparser (0.8.0.1-2+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-20721
    Fix for an out-of-bounds read for an incomplete URI with an
    IPv6 address containing an embedded IPv4 address, such as
    a "//[::44.1" address.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Feb 2019 19:03:02 +0100

uriparser (0.8.0.1-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2018-19200: UriCommon.c allows attempted operations on NULL input
    via a uriResetUri* function.
  * Fix CVE-2018-19199: UriQuery.c allows an integer overflow via a
    uriComposeQuery* or uriComposeQueryEx* function because of an unchecked
    multiplication.
  * Fix CVE-2018-19198: UriQuery.c allows an out-of-bounds write via a
    uriComposeQuery* or uriComposeQueryEx* function because the '&' character
    is mishandled in certain contexts.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 19 Nov 2018 08:11:26 -0200

uriparser (0.8.0.1-2) unstable; urgency=low

  * debian/rules:
    - Add --with autoreconf to enable update Build Environment
      (Closes: #727517).
      + Thanks to Breno Leitao <brenohl@br.ibm.com>

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 16 Aug 2014 09:30:15 +0200

uriparser (0.8.0.1-1) unstable; urgency=medium

  * New Maintainer (Closes: #754473).
  * New upstream release (Closes: #668244).
    - Remove nonfree items from source (Closes: #753833):
      + doc/rfc3513.htm.
      + doc/rfc3986.htm.
      + doc/rfc3986_grammar_only.txt.
      + Remove debian/prune-tarball.sh.
      + Remove debian/README.Debian-source.
  * debian/control:
    - Set myself as maintainer.
    - Bump Standards-Version to 3.9.5 (no changes required).
    - Update Build-Depends:
      + Add dh-autoreconf for update Build Environment (Closes: #727517).
    - Change description of liburiparser1  (Closes: #552993).
    - For previously not existing Vcs
      + Create a new git repository on alioth.
      + Add the Fields Vcs-Browser and Vcs-Git.
  * Change debian/compat to 9 (no changes required).
  * Add debian/source/options:
    - Set compression to xz & compression-level to 9 to save space.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
    - Update copyright years for 2014.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 06 Aug 2014 21:23:55 +0200

uriparser (0.8.0+dfsg-1) UNRELEASED; urgency=medium

  * Change debian/watch
    - change upstream tarball to all filetypes.
  * remove debian/rules.old

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 12 Jul 2014 05:09:11 +0200
