=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: uriparser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
-Standards-Version: 3.8.4
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Build-Depends: 
+ debhelper (>= 9),
+ dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://uriparser.sourceforge.net
+Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/uriparser.git
 
 Package: liburiparser1
 Architecture: any
@@ -13,8 +16,8 @@
 Description: URI parsing library compliant with RFC 3986
  uriparser is a library that parses Uniform Resource Identifiers (URIs),
  strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
- are used to identify and locate resources, like http://www.debian.org or
- ISBN:0-395-36341-1.
+ are used to identify resources, like http://www.debian.org/ or
+ urn:isbn:0-395-36341-1.
  .
  uriparser has the following features:
  .
