=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Configure arguments
 
+#confflags = --prefix=/usr --enable-test --disable-doc
 confflags = --prefix=/usr --disable-test --disable-doc
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
