=== debian/watch ===
version=3
http://sf.net/uriparser/uriparser-(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
