## uriparser 0.8.2

=== debian/changelog ===
uriparser (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Remove unknown substitution variable ${shlibs:Depends}
      from liburiparser-dev.
  * Refresh debian/liburiparser1.symbols.
  * Refresh link to usr/lib/liburiparser.so in liburiparser-dev.links.
  * debian/copyright:
    - Add License and author for the new files:
      +  test/VersionSuite.*.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * debian/rules:
    - Enable hardening.
    - Add override_dh_makeshlibs for testing symbols.
  * Enable mulitarch:
    - debian/rules:
      + Add --libdir to confflags
    - debian/liburiparser-dev.links:
      + Add dh-exec shebang line.
      + Add ${DEB_HOST_MULTIARCH}.
      + make file executable.
    - debian/*.install:
      + Change the path (add /*/).
    - debian/control:
      + Add dh-exec (>=0.3) to Build-Depends.
      + Add Pre-Depends: ${misc:Pre-Depends} to package liburiparser1.
      + Add Multi-Arch: same to package liburiparser1.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 28 Apr 2015 08:18:53 +0200
