=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: 
+Build-Depends:
  debhelper (>= 9),
- dh-autoreconf
-Standards-Version: 3.9.5
+ dh-autoreconf,
+ dh-exec (>=0.3)
+Standards-Version: 3.9.6
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/uriparser.git
 
 Package: liburiparser1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Description: URI parsing library compliant with RFC 3986
  uriparser is a library that parses Uniform Resource Identifiers (URIs),
  strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
@@ -33,7 +39,9 @@
 Package: liburiparser-dev
 Architecture: any
 Section: libdevel
-Depends: liburiparser1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ liburiparser1 (= ${binary:Version}),
+ ${misc:Depends}
 Description: development files for uriparser
  This package provides the development files for uriparser, a library to parse
  Uniform Resource Identifiers (URIs). Install it if you want to compile a
