## uriparser 0.8.3

=== debian/changelog ===
uriparser (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * New debian/upstream/metadata:
    - Add some DEP-12 upstream metadata.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 07 Oct 2015 18:35:50 +0200
