=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Configure arguments
 
-#confflags = --prefix=/usr --enable-test --disable-doc
-confflags = --prefix=/usr --disable-test --disable-doc
+confflags = --prefix=/usr --disable-test --disable-doc --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -22,3 +24,8 @@
 
 override_dh_auto_configure:
 	./configure $(confflags)
+
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n '/\(Version:\)/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\(.*\)/\2/p}' | rev | cut -d- -f 2- | rev)
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION) -Pdebian/liburiparser1 -pliburiparser1
