## uriparser 0.8.4

=== win32/MinGW/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 TEST_DIR = ../../test
 CPP_TEST_DIR = ../CppTest
-LIB_DIR = ../../lib
+LIB_DIR = ../../src
 INCLUDE_DIR = ../../include
 WIN32_DIR = ..
 CC = gcc
@@ -54,6 +54,8 @@
 LIBRARY = $(WIN32_DIR)/liburiparser.a
 TEST_SUITE = $(WIN32_DIR)/test.exe
 
+all: $(LIBRARY)
+
 $(LIBRARY): $(URIPARSER_OBJECTS)
 	ar rcs $(LIBRARY) $(URIPARSER_OBJECTS)
 
@@ -65,13 +67,17 @@
 		-L$(WIN32_DIR) -luriparser -o $(TEST_SUITE)
 
 $(TEST_OBJECTS): %.o : %.cpp
-	$(CXX) $(CFLAGS) -I$(INCLUDE_DIR) -c "$<" -o "$@" 
-    
-all: $(LIBRARY)
+	$(CXX) $(CFLAGS) -I$(INCLUDE_DIR) -c "$<" -o "$@"
 
 clean:
 	del $(call dos,$(URIPARSER_OBJECTS)) $(call dos,$(LIBRARY)) \
 		$(call dos,$(TEST_OBJECTS)) $(call dos,$(TEST_SUITE))
 
+clean-unix:
+	$(RM) $(URIPARSER_OBJECTS) $(LIBRARY) \
+		$(TEST_OBJECTS) $(TEST_SUITE)
+
 check: $(TEST_SUITE)
 	$(TEST_SUITE)
+
+.PHONY: all check clean clean-unix
