=== debian/changelog ===
uriparser (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/liburiparser-dev.links:
    - Bump library version to 1.0.20.
  * Add package liburiparser-doc:
    - debian/rules:
      + Add override_dh_auto_build-indep and override_dh_installdocs-indep
        to handle the build and install the html documentation.
    - debian/control:
      + Add Build-Depends-Indep.
      + Add new package liburiparser-doc.
    - New debian/liburiparser-doc.doc-base.
    - New debian/liburiparser-doc.dirs.
  * New debian/liburiparser-doc.lintian-overrides to override the lintian
    warning "embedded-javascript-library".
  * debian/copyright:
    - Change GPL-3.0+ to GPL-3+.
    - Change Upstream Mail Address to Sebastian Pipping <webmaster@hartwork.org>
  * debian/rules:
    - Add override_dh_compress to exclude *.qhp.
    - Remove -c0 from dh_makeshlibs call.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 04 Nov 2015 07:02:13 +0100
