=== debian/control ===
--- 
+++ 
@@ -6,6 +6,12 @@
  debhelper (>= 9),
  dh-autoreconf,
  dh-exec (>=0.3)
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+ qttools5-dev-tools,
+ qtbase5-dev,
+ libqt5sql5-sqlite
 Standards-Version: 3.9.6
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
@@ -46,3 +52,15 @@
  This package provides the development files for uriparser, a library to parse
  Uniform Resource Identifiers (URIs). Install it if you want to compile a
  program that makes use of this library.
+
+Package: liburiparser-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends}
+Description: documentation files for uriparser
+ uriparser is a library that parses Uniform Resource Identifiers (URIs),
+ strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
+ are used to identify resources, like http://www.debian.org/ or
+ urn:isbn:0-395-36341-1.  This package provides the documentation 
+ files for uriparser.
