=== debian/changelog ===
uriparser (0.8.5-2) unstable; urgency=medium

  * debian/control:
    - Switch Vcs-* to new loacation.
  * Remove now useless debian/liburiparser-doc.lintian-overrides.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Jul 2018 14:16:31 +0200

uriparser (0.8.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken symlink: liburiparser.so -> liburiparser.so.1.0.21
    (closes: #901955)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jun 2018 17:00:15 +0200

uriparser (0.8.5-1) unstable; urgency=medium

  * New upstream release (Closes: #893316).
    - Refresh symbols file.
    - Refresh debian/copyright.
    - Rewrite debian/upstream/metadata.
  * Remove trailing whitespaces:
    - debian/changelog
    - debian/control
    - debian/rules
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
    - Remove dh-autoreconf from Build-Depends.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).
  * Change to my new email address:
    - debian/control
    - debian/copyright
  * New README.source to explain the branching model used.
  * debian/rules:
    - Switch to $(DEB_UPSTREAM_VERSION).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 05 May 2018 10:14:09 +0200
