=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: uriparser
 Section: libs
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  dh-exec (>=0.3)
 Build-Depends-Indep:
  doxygen,
@@ -12,10 +11,10 @@
  qttools5-dev-tools,
  qtbase5-dev,
  libqt5sql5-sqlite
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
 Homepage: http://uriparser.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/uriparser.git
+Vcs-Git: git://jff.email/opt/git/uriparser.git
+Vcs-Browser: https://jff.email/cgit/uriparser.git
 
 Package: liburiparser1
 Architecture: any
@@ -62,5 +61,5 @@
  uriparser is a library that parses Uniform Resource Identifiers (URIs),
  strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
  are used to identify resources, like http://www.debian.org/ or
- urn:isbn:0-395-36341-1.  This package provides the documentation 
+ urn:isbn:0-395-36341-1.  This package provides the documentation
  files for uriparser.
