## uriparser 0.8.6

=== debian/changelog ===
uriparser (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 08 Sep 2018 10:40:53 +0200
