## uriparser 0.9.0

=== debian/changelog ===
uriparser (0.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #913817):
    - Fix CVE-2018-19198.
    - Fix CVE-2018-19199.
    - Fix CVE-2018-19200.
  * Refresh debian/liburiparser1.symbols.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 16 Nov 2018 07:57:14 +0100
