=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qttools5-dev-tools,
  qtbase5-dev,
  libqt5sql5-sqlite
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
 Vcs-Browser: https://jff.email/cgit/uriparser.git
