## uriparser 0.9.1

=== debian/changelog ===
uriparser (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.3.0.1 (No changes needed).
  * debian/copyright:
    - Bump years to 2019.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 12 Jan 2019 19:08:27 +0100
