=== debian/changelog ===
uriparser (0.9.1.1-deepin1) unstable; urgency=medium

  * Fix CVE-2021-46141 and VE-2021-46142
  * UriNormalize.c: Fix .hostText copying in uriMakeOwnerEngine
    (CVE-2021-46141)
  * UriParse.c: Adjust uriFreeUriMembers* to fixed uriMakeOwner* behavior
    (CVE-2021-46141)
  * UriNormalize.c: Fix handling of empty segments in uriPreventLeakage
    (CVE-2021-46142)

 -- zhaochengyi <zhaochengyi@uniontech.com>  Tue, 13 Dec 2022 17:45:21 +0800
