=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 # hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -16,7 +18,7 @@
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --host $(DEB_HOST_GNU_TYPE)
 endif
-    
+
 ###
 
 %:
@@ -25,7 +27,17 @@
 override_dh_auto_configure:
 	./configure $(confflags)
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n '/\(Version:\)/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\(.*\)/\2/p}' | rev | cut -d- -f 2- | rev)
+override_dh_auto_build-indep:
+	dh_auto_build
+	make -C doc
+
+override_dh_installdocs-indep:
+	cp -r $(CURDIR)/doc/html/* $(CURDIR)/debian/liburiparser-doc/usr/share/doc/liburiparser-doc/html/
+	$(RM) debian/liburiparser-doc/usr/share/doc/liburiparser-doc/html/*.md5
+	dh_installdocs
 
 override_dh_makeshlibs:
-	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION) -Pdebian/liburiparser1 -pliburiparser1
+	dh_makeshlibs -- -v$(DEB_VERSION_UPSTREAM) -Pdebian/liburiparser1 -pliburiparser1
+
+override_dh_compress:
+	dh_compress -X.qhp
