=== debian/changelog ===
uriparser (0.9.3-2) unstable; urgency=medium

  * Fix FTBFS:
    - debian/control: move all Build-Depends-Indep to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 20 Jul 2019 10:24:00 +0200

uriparser (0.9.3-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
    - Rewrite build process.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 13 Jul 2019 18:39:44 +0200
