=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11),
- dh-exec (>=0.3)
-Build-Depends-Indep:
+ cmake,
+ debhelper (>= 12),
+ dh-exec (>=0.3),
  doxygen,
  graphviz,
- qttools5-dev-tools,
+ libgtest-dev,
+ libqt5sql5-sqlite,
  qtbase5-dev,
- libqt5sql5-sqlite
-Standards-Version: 4.3.0.1
+ qttools5-dev-tools
+Standards-Version: 4.4.0
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
 Vcs-Browser: https://jff.email/cgit/uriparser.git
